ApiHive3ReplicationMetricsResultRow (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiHive3ReplicationMetricsResultRow

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHive3ReplicationMetricsResultRow

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiHive3ReplicationMetricsResultRow
      extends Object

  ApiHive3ReplicationMetricsResultRow

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHive3ReplicationMetricsResultRow()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHive3ReplicationMetricsResultRow` | `dumpExecutionId(BigDecimal dumpExecutionId)`
    `ApiHive3ReplicationMetricsResultRow` | `endDate(String endDate)`
    `boolean` | `equals(Object o)`
    `ApiHive3ReplicationMetricsResultRow` | `errorMessage(String errorMessage)`
    `BigDecimal` | `getDumpExecutionId()` Get dumpExecutionId
    `String` | `getEndDate()` Get endDate
    `String` | `getErrorMessage()` Get errorMessage
    `ApiHive3ReplicationMetricsMetadata` | `getMetadata()` Get metadata
    `String` | `getPolicy()` Get policy
    `ApiHive3ReplicationMetricsProgress` | `getProgress()` Get progress
    `BigDecimal` | `getScheduledExecutionId()` Get scheduledExecutionId
    `String` | `getStartDate()` Get startDate
    `int` | `hashCode()`
    `ApiHive3ReplicationMetricsResultRow` | `metadata(ApiHive3ReplicationMetricsMetadata metadata)`
    `ApiHive3ReplicationMetricsResultRow` | `policy(String policy)`
    `ApiHive3ReplicationMetricsResultRow` | `progress(ApiHive3ReplicationMetricsProgress progress)`
    `ApiHive3ReplicationMetricsResultRow` | `scheduledExecutionId(BigDecimal scheduledExecutionId)`
    `void` | `setDumpExecutionId(BigDecimal dumpExecutionId)`
    `void` | `setEndDate(String endDate)`
    `void` | `setErrorMessage(String errorMessage)`
    `void` | `setMetadata(ApiHive3ReplicationMetricsMetadata metadata)`
    `void` | `setPolicy(String policy)`
    `void` | `setProgress(ApiHive3ReplicationMetricsProgress progress)`
    `void` | `setScheduledExecutionId(BigDecimal scheduledExecutionId)`
    `void` | `setStartDate(String startDate)`
    `ApiHive3ReplicationMetricsResultRow` | `startDate(String startDate)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHive3ReplicationMetricsResultRow

          public ApiHive3ReplicationMetricsResultRow()

  - ### Method Detail

    - #### scheduledExecutionId

          public ApiHive3ReplicationMetricsResultRow scheduledExecutionId(BigDecimal scheduledExecutionId)

    - #### getScheduledExecutionId

          public BigDecimal getScheduledExecutionId()

      Get scheduledExecutionId
      Returns:
        scheduledExecutionId

    - #### setScheduledExecutionId

          public void setScheduledExecutionId(BigDecimal scheduledExecutionId)

    - #### policy

          public ApiHive3ReplicationMetricsResultRow policy(String policy)

    - #### getPolicy

          public String getPolicy()

      Get policy
      Returns:
        policy

    - #### setPolicy

          public void setPolicy(String policy)

    - #### dumpExecutionId

          public ApiHive3ReplicationMetricsResultRow dumpExecutionId(BigDecimal dumpExecutionId)

    - #### getDumpExecutionId

          public BigDecimal getDumpExecutionId()

      Get dumpExecutionId
      Returns:
        dumpExecutionId

    - #### setDumpExecutionId

          public void setDumpExecutionId(BigDecimal dumpExecutionId)

    - #### metadata

          public ApiHive3ReplicationMetricsResultRow metadata(ApiHive3ReplicationMetricsMetadata metadata)

    - #### getMetadata

          public ApiHive3ReplicationMetricsMetadata getMetadata()

      Get metadata
      Returns:
        metadata

    - #### setMetadata

          public void setMetadata(ApiHive3ReplicationMetricsMetadata metadata)

    - #### progress

          public ApiHive3ReplicationMetricsResultRow progress(ApiHive3ReplicationMetricsProgress progress)

    - #### getProgress

          public ApiHive3ReplicationMetricsProgress getProgress()

      Get progress
      Returns:
        progress

    - #### setProgress

          public void setProgress(ApiHive3ReplicationMetricsProgress progress)

    - #### startDate

          public ApiHive3ReplicationMetricsResultRow startDate(String startDate)

    - #### getStartDate

          public String getStartDate()

      Get startDate
      Returns:
        startDate

    - #### setStartDate

          public void setStartDate(String startDate)

    - #### endDate

          public ApiHive3ReplicationMetricsResultRow endDate(String endDate)

    - #### getEndDate

          public String getEndDate()

      Get endDate
      Returns:
        endDate

    - #### setEndDate

          public void setEndDate(String endDate)

    - #### errorMessage

          public ApiHive3ReplicationMetricsResultRow errorMessage(String errorMessage)

    - #### getErrorMessage

          public String getErrorMessage()

      Get errorMessage
      Returns:
        errorMessage

    - #### setErrorMessage

          public void setErrorMessage(String errorMessage)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.